XDF_ADD_EVTTYPE(3)

NAME
xdf_add_evttype - Adds a type of event

SYNOPSIS

#include <xdfio.h>

int xdf_add_evttype(struct xdf* xdf, int code, const char* desc);

DESCRIPTION

xdf_add_evttype() adds an event type specified by combination of code and the event description desc to the file referenced by the handle xdf opened for writing. If there is no description associated with the event type, desc should be set to NULL.

If an event type with the same combination has been already added, no new type will be added and the previous type will be returned.

RETURN VALUE

The function returns the event type in case of success. Otherwise -1 is returned and errno is set appropriately.

ERRORS

EINVAL
    xdf is NULL

ENOMEM
    The system is unable to allocate resources.

EPERM
    The file referenced by xdf has not been opened for writing or its file format does not support events.

SEE ALSO
xdf_add_event(3)